<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package the-consult
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'the-consult' ); ?></a>
	  <?php 
                
                $ed_logo_alignment = '';
                $ed_nav_alignment = '';
                $no_slider = '';                               
                $ed_nav = get_theme_mod('the_consult_logo_alignment');
                if($ed_nav == ''){ $ed_nav = 'left'; }
                if($ed_nav == 'left'){
                    $ed_logo_alignment = 'logo-left';
                    $ed_nav_alignment = 'menu-left';
                }
                else{
                    $ed_logo_alignment = 'logo-center';
                    $ed_nav_alignment = 'menu-center';
                }
                $the_consult_slider_section_option = get_theme_mod('the_consult__slider_section_option','no'); 
                $slider_category = get_theme_mod('the_consult_slider_section_category');
                if($the_consult_slider_section_option == 'yes' && $slider_category){
                    $class_slider = 'slider-enable';
                }else{
                    $class_slider = 'slider-disable';
                }
            ?>

	<header id="masthead"  class="site-header <?php echo esc_attr($no_slider)." ".esc_attr($ed_logo_alignment)." ".esc_attr($class_slider);?>" role="banner">
	    <div class="container">
			<div class="site-branding">
				<?php
				the_custom_logo();
				if ( is_front_page() && is_home() ) : ?>
					<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php else : ?>
					<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php
				endif;

				$description = get_bloginfo( 'description', 'display' );
				if ( $description || is_customize_preview() ) : ?>
					<p class="site-description"><?php echo esc_html($description); /* WPCS: xss ok. */ ?></p>
				<?php
				endif; ?>
			</div><!-- .site-branding -->

			<nav id="site-navigation" class="main-navigation">
				<label for="toggle" class="icon">
						<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"></button>
            <span class="ham"> </span>
        </label>
				<?php
					wp_nav_menu( array(
						'theme_location' => 'the-consult-menu-1',
						'menu_id'        => 'primary-menu',
					) );
				?>
				<div class="header_social_search_wrap clearfix">
	    	              <?php if(get_theme_mod('the_consult_general_search_top_header')!='no'){ ?>
	    	                  <div class="header-search">
									<div class="search-button">
										<a href="#" class="search-toggle" data-selector="#masthead"></a>
									</div>
	    	                        <?php get_search_form();?>
	    	                   </div>
	    	                 <?php } ?> 
	    	    </div>
			</nav><!-- #site-navigation -->
		</div>	
	</header><!-- #masthead -->
    <?php 
    if(is_home() || is_front_page()){
        do_action('the_consult_homepage_slider');
    } ?>
    <!-- Page breadcrumbs -->
    <?php if(!is_home() && !is_front_page()){
        do_action('the_consult_title'); 
    }?>
<div id="content" class="site-content">
	