<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package the-consult
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function the_consult_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}
    $the_consult_slider_section_option = get_theme_mod('the_consult__slider_section_option','no'); 
    $slider_category = get_theme_mod('the_consult_slider_section_category');
    if($the_consult_slider_section_option == 'yes' && $slider_category){
        $classes[] = 'slider-enable';
    }else{
        $classes[] = 'slider-disable';
    }
	return $classes;
}
add_filter( 'body_class', 'the_consult_body_classes' );

/**
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 */
function the_consult_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'the_consult_pingback_header' );
