<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package the-consult
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if (has_post_thumbnail()): ?>
    	<figure>
    		<a href="<?php the_permalink();?>">
                <?php $latest_archive_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'the-consult-archive-image');?>
                <img src="<?php echo esc_url($latest_archive_image[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
    		</a>
    	</figure>
	<?php endif; ?>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php the_consult_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
    
        <?php if ( is_singular() ) :
            the_content();
        else:
            the_excerpt();
            ?><a class="btn" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','the-consult'); ?></a>
        <?php endif;
        
        wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'the-consult' ),
            'after'  => '</div>',
        ) ); ?>
        
	</div><!-- .entry-content -->

</article><!-- #post-<?php the_ID(); ?> -->